Enumerations
Prev | Chapter 1. medit Lua API | Next

## Enumerations

### moo.CloseResponse

`CLOSE_RESPONSE_CONTINUE` |
`CLOSE_RESPONSE_CANCEL` |

### moo.EditStatus

`EDIT_STATUS_NORMAL` | none of the below flags, it is equal to `0`.
`EDIT_STATUS_MODIFIED_ON_DISK` | file has been modified on disk outside the program.
`EDIT_STATUS_DELETED` | file has been deleted from disk.
`EDIT_STATUS_CHANGED_ON_DISK` | file has been modified on disk outside the program or deleted from disk, it is equal to ``EDIT_STATUS_MODIFIED_ON_DISK` | `EDIT_STATUS_DELETED``.
`EDIT_STATUS_MODIFIED` | document content is modifed and not saved yet.
`EDIT_STATUS_NEW` | file doesn't exist on disk yet. This is the state of documents opened from command line when requested file doesn't exist.
`EDIT_STATUS_CLEAN` | doesn't prompt on close, even if it's modified.

### moo.LineEndType

`LE_UNIX` | UNIX line endings (`\n`)
`LE_WIN32` | Windows line endings (`\r\n`)
`LE_MAC` | classic Mac line endings (`\r`)
`LE_NATIVE` | equal to `LE_UNIX` on UNIX systems (including Mac OS X) and `LE_WIN32` on Windows

### moo.OpenFlags

`OPEN_FLAG_NEW_WINDOW` | open document in a new window
`OPEN_FLAG_NEW_TAB` | open document in existing window (default)
`OPEN_FLAG_RELOAD` | reload document if it's already open
`OPEN_FLAG_CREATE_NEW` | if file doesn't exist on disk, create a new document

### moo.SaveChangesResponse

Values returned by `save_changes_dialog()`.

`SAVE_CHANGES_RESPONSE_CANCEL` | cancel current operation, don't save
`SAVE_CHANGES_RESPONSE_SAVE` | do save the file
`SAVE_CHANGES_RESPONSE_DONT_SAVE` | do not save the file and continue

### moo.SaveResponse

Values returned by `MooEditor.before-save` and `MooEdit.before-save` callbacks.

`SAVE_RESPONSE_CONTINUE` | continue invoking before-save callbacks, save if there aren't any left
`SAVE_RESPONSE_CANCEL` | stop invoking before-save callbacks and do not save

Prev | Up | Next
Functions | Home | Chapter 2. Gtk API for Lua scripts